<c:if> | Standard JET2 Control Tags
--- | ---

if

Process the tag contents if a test condition is satisfied.

If the 'test' XPath expression is does not result in a boolean value, then it is converted to a boolean value according the the XPath 1.0 specification. In particular, if the XPath expression results in a set of objects, then 'test' is considered to be true if and only if the set is not empty.

If the 'test' XPath expression is not well formed, then an error results.

Tag Summary
required | <c:if test="value"> content to process if tag condition is satisfied </c:if>
full tag | <c:if test="value" var="value"> content to process if tag condition is satisfied </c:if>

Required Attributes
test | An expression expression, that, if true, causes the tag contents to be evaluated.

Optional Attributes
var | The name of a variable that will refer to the value of the 'test' expression prior to it being converted to a boolean value'. The variable has the scope of the tag contents.

Example
| <%-- process contents if 'name' attribute is equal to JET --%> <c:if test="$var/@name = 'JET'"> content to process if tag condition is satisfied </c:if>